Updates a trip.Copy Pageput https://spot-subcontracting.api.eu1.scalar.zf.com/v1/trips/{tripId}Updates an existing trip that has not yet started.📘The rate limit for this API is normal.Path ParamstripIduuidrequiredRepresents the ID (guid) of the trip.Body ParamsRepresents a trip.namestringRepresents the name of the trip.externalIdstring | nullRepresents the external ID of the trip.driverConfigurationobjectConfigures driver optionsdriverConfiguration objectmissionsarrayrequiredRepresents a list of missions, needs a minimum of 2 missions.missions*ADD PutMissionDtoRequest | PutMissionDtoRequestInternalecmrDataobjectecmrData objectResponses 200Success code. Returns updated details of the trip. 400Failure code. The request was unacceptable, parameters are invalid. 404Failure code. The requested trip was not found. 500Failure code. Indicates an internal server error (unhandled exception).Updated 10 months ago